/*
 *
 * Copyright(C) OASIS(R) 2005,2009. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */

/**
 * Simple C++ component implementation for business interface Service1
 * @author Bryan Aupperle
 *
 */

#include "Service1SupersetImpl.h"
#include "oasis/sca/RefCountingPointer.h"
#include "oasis/sca/ComponentContext.h"
#include "commonj/sdo/sdo.h"
using namespace oasis::sca;

// Construction/Destruction

Service1SupersetImpl::Service1SupersetImpl()
{
	ComponentContextPtr context = ComponentContext::getCurrent();

	commonj::sdo::DataObjectPtr properties = context->getProperties();

	serviceName = properties->getString("serviceName");
	
	return;
}


Service1SupersetImpl::~Service1SupersetImpl()
{
	return; 
}

// Implementation

std::string Service1SupersetImpl::operation1(const std::string input) {
	return serviceName + " operation1 invoked";
}

std::string Service1SupersetImpl::operation2(const std::string input) {
	return serviceName + " operation2 invoked";
}
